Page MenuHomePhabricator

Decommission db1066.eqiad.wmnet
Open, NormalPublic

Description

This task will track the decommission of server db1066.eqiad.wmnet

The first 5 steps should be completed by the service owner that is returning the server to DC-ops (for reclaim to spare or decommissioning, dependent on server configuration and age.)

db1066
Steps for service owner:

Steps for DC-Ops:

The following steps cannot be interrupted, as it will leave the system in an unfinished state.

Start non-interrupt steps:

  • - disable puppet on host
  • - power down host
  • - update netbox status to Inventory (if decom) or Planned (if spare)
  • - disable switch port
  • - switch port assignment noted on this task (for later removal)
  • - remove all remaining puppet references (include role::spare)
  • - remove production dns entries
  • - puppet node clean, puppet node deactivate (handled by wmf-decommission-host)
  • - remove dbmonitor entries on neodymium/sarin: sudo curl -X DELETE https://debmonitor.discovery.wmnet/hosts/${HOST_FQDN} --cert /etc/debmonitor/ssl/cert.pem --key /etc/debmonitor/ssl/server.key (handled by wmf-decommission-host)

End non-interrupt steps.

  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update racktables with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.
  • - IF RECLAIM: system added back to spares tracking (by onsite)

Event Timeline

Marostegui triaged this task as Normal priority.Sep 17 2019, 5:18 AM
Marostegui created this task.
Marostegui moved this task from Triage to In progress on the DBA board.

This host has been switchedover and it is not a master anymore, let's give it some days before decommissioning it.

Change 537246 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db1066: Disable notifications

https://gerrit.wikimedia.org/r/537246

Change 537246 merged by Marostegui:
[operations/puppet@production] db1066: Disable notifications

https://gerrit.wikimedia.org/r/537246

Marostegui updated the task description. (Show Details)Sep 17 2019, 5:37 AM

Mentioned in SAL (#wikimedia-operations) [2019-09-17T06:53:43Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depool db1066 T233071', diff saved to https://phabricator.wikimedia.org/P9114 and previous config saved to /var/cache/conftool/dbconfig/20190917-065342-marostegui.json

Change 538459 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db1066 from config

https://gerrit.wikimedia.org/r/538459

Change 538459 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db1066 from config

https://gerrit.wikimedia.org/r/538459

Marostegui updated the task description. (Show Details)Mon, Sep 23, 5:22 AM

Mentioned in SAL (#wikimedia-operations) [2019-09-23T05:22:26Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Remove db1066 from config T233071 (duration: 01m 15s)

Mentioned in SAL (#wikimedia-operations) [2019-09-23T05:23:30Z] <marostegui@deploy1001> Synchronized wmf-config/db-codfw.php: Remove db1066 from config T233071 (duration: 00m 56s)

Change 538739 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Decommission db1066

https://gerrit.wikimedia.org/r/538739

Mentioned in SAL (#wikimedia-operations) [2019-09-24T06:36:55Z] <marostegui> Remove db1066 from tendril and zarcillo T233071

Change 538739 merged by Marostegui:
[operations/puppet@production] mariadb: Decommission db1066

https://gerrit.wikimedia.org/r/538739

Mentioned in SAL (#wikimedia-operations) [2019-09-24T06:37:30Z] <marostegui> Stop MySQL on db1066 - T233071

Marostegui reassigned this task from Marostegui to RobH.Tue, Sep 24, 6:38 AM
Marostegui edited projects, added decommission, ops-eqiad; removed Patch-For-Review, DBA.
Marostegui updated the task description. (Show Details)
Marostegui moved this task from Backlog to Ready for Decommission on the decommission board.
Marostegui added a project: DC-Ops.

This host is ready for DC-Ops to decommission

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: db1066.eqiad.wmnet

  • db1066.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 539229 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] site.pp: Remove all references to db1066

https://gerrit.wikimedia.org/r/539229

Change 539230 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] wmnet: Remove db1066 production entries

https://gerrit.wikimedia.org/r/539230

Change 539229 merged by Marostegui:
[operations/puppet@production] site.pp: Remove all references to db1066

https://gerrit.wikimedia.org/r/539229

Change 539230 merged by Marostegui:
[operations/dns@master] wmnet: Remove db1066 production entries

https://gerrit.wikimedia.org/r/539230

Marostegui removed RobH as the assignee of this task.Thu, Sep 26, 7:00 AM
Marostegui removed a project: Patch-For-Review.
Marostegui updated the task description. (Show Details)

Host ready for on-site steps (and switch disablement)